Package org.lwjgl.opengl

# Class ARBFramebufferSRGB

java.lang.Object
org.lwjgl.opengl.ARBFramebufferSRGB

public final class ARBFramebufferSRGB extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FRAMEBUFFER_SRGB_ARB`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_FRAMEBUFFER_SRGB_CAPABLE_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GLX_FRAMEBUFFER_SRGB_CAPABLE_ARB`
Accepted by the <attribList> parameter of glXChooseVisual, and by the <attrib> parameter of glXGetConfig:
`static final int`
`WGL_FRAMEBUFFER_SRGB_CAPABLE_ARB`
Accepted by the <piAttributes> parameter of wglGetPixelFormatAttribivEXT, wglGetPixelFormatAttribfvEXT, and the <piAttribIList> and <pfAttribIList> of wglChoosePixelFormatEXT:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GLX_FRAMEBUFFER_SRGB_CAPABLE_ARB

public static final int GLX_FRAMEBUFFER_SRGB_CAPABLE_ARB
Accepted by the <attribList> parameter of glXChooseVisual, and by the <attrib> parameter of glXGetConfig:

See Also:
  - Constant Field Values

### WGL_FRAMEBUFFER_SRGB_CAPABLE_ARB

public static final int WGL_FRAMEBUFFER_SRGB_CAPABLE_ARB
Accepted by the <piAttributes> parameter of wglGetPixelFormatAttribivEXT, wglGetPixelFormatAttribfvEXT, and the <piAttribIList> and <pfAttribIList> of wglChoosePixelFormatEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_SRGB_ARB

public static final int GL_FRAMEBUFFER_SRGB_ARB
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_SRGB_CAPABLE_ARB

public static final int GL_FRAMEBUFFER_SRGB_CAPABLE_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values